<template>
  <v-select
    :readonly="readonly"
    :label="label"
    :items="paymentTerms"
    item-value="id"
    item-text="name"
    v-model="selectedValue"
  />
</template>
<script lang="ts">
import Vue from 'vue'
import api from '../../plugins/api'
import { Component, Prop } from 'vue-property-decorator'

@Component({
  components: {},
})
export default class PaymentTermSelect extends Vue {
  @Prop({ required: true }) value
  @Prop({ type: Boolean, default: false }) readonly
  @Prop({ type: String, default: 'Termat e pagesës' }) label

  paymentTerms = []
  get selectedValue() {
    return this.value
  }
  set selectedValue(newValue) {
    this.$emit('input', newValue)
  }
  mounted() {
    this.fetchPaymentTerms()
  }
  fetchPaymentTerms() {
    api()
      .get('api/crm/payment-terms')
      .then(response => {
        this.paymentTerms = response.data.data
      })
  }
}
</script>
